Subject: bug#12750: Highlighting text no longer works

From: Bruce Korb <[email-masked]>
Date: Sun, 28 Oct 2012 09:32:28 -0700

On 10/28/12 09:16, Bruce Korb wrote:
> For many years, I have selected text and then pasted it where I wanted.
> There is a new feature in emacs:  selected text is no longer in the
> pasteable buffer.  I must move my hand from the mouse to the keyboard
> to copy the text and then back to the mouse to paste it.  This is a bug.
> Pending a fix in the next emacs release, how do I work around this problem?
> Thank you!
> 
> $ rpm -q -a|grep -i emacs
> emacs-24.2-15.8.2.x86_64
> go-emacs-1.0.2-1.4.1.x86_64
> emacs-info-24.2-15.8.2.noarch
> emacs-x11-24.2-15.8.2.x86_64
> emacs-nox-24.2-15.8.2.x86_64
> emacs-el-24.2-15.8.2.noarch

Some experimentation has allowed me to characterize the issue better.
Double click a word and paste the word works fine.  The habit that
is broken is:

1. left click the end of some text
2. right click the start of some text
3. alt-shift-5 ctl-y (query replace followed by paste)
   Expected result: the text I just selected would be in the query-replace buffer
   Actual result:  the previous paste buffer gets inserted

Still a nuisance.